Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-25543

Fix for 2.0 pre-upgrade script not running

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.0
    • Fix Version/s: 2.0.1
    • Component/s: Unknown
    • Labels:
      None
    • Affected Branches:
      MOODLE_20_STABLE
    • Fixed Branches:
      MOODLE_20_STABLE

      Description

      As mentioned on http://docs.moodle.org/en/Development:Local_customisation#2.0_pre-upgrade_script
      The pre Upgrade script /local/upgrade_pre20.php is suppose to run. I've fixed some issues
      with the wrong version being used as well as a type in dirroot. Patch is attached.

        Gliffy Diagrams

          Attachments

            Activity

            Hide
            chrisstones Chris B Stones added a comment -

            lib/upgradelib.php is the file

            Show
            chrisstones Chris B Stones added a comment - lib/upgradelib.php is the file
            Hide
            skodak Petr Skoda added a comment -

            Fix committed, thanks a lot!!

            petr

            Show
            skodak Petr Skoda added a comment - Fix committed, thanks a lot!! petr

              People

              • Votes:
                1 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  25/Dec/10